Main Page Modules Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# FLAC__EntropyCodingMethod_PartitionedRice Struct Reference
[FLAC/format.h: format components]

`#include <format.h>`

List of all members.

## Public Attributes

unsigned | order
const FLAC__EntropyCodingMethod_PartitionedRiceContents * | contents

## Detailed Description

Header for a Rice partitioned residual. (c.f. format specification)

## Member Data Documentation

unsigned FLAC__EntropyCodingMethod_PartitionedRice::order

| The partition order, i.e. # of contexts = 2 ^ order.

const FLAC__EntropyCodingMethod_PartitionedRiceContents* FLAC__EntropyCodingMethod_PartitionedRice::contents

| The context's Rice parameters and/or raw bits.

The documentation for this struct was generated from the following file:

- include/FLAC/format.h